plot.Galgo {galgo} | R Documentation

## Plots information about the Galgo object

### Description

. See arguments for details.

### Usage

    ## S3 method for class 'Galgo'
    plot(x,
    	type=c("all", "populations", "fitness", "maxchromosomes"),
    	...)

### Arguments

`type`

The type of plot. `"populations"` will plots all chromosomes in one axis and the genes in the other axis. The maximum chromosome in each population is drawn with `"M"` whereas the best chromosome is drawn with `"B"`. The best chromosome from `Galgo` object is drawn with `"x"`. This plot give an overview of the population coverage. `"fitness"` plots the evolution of the maximum fitness in vertical axis against generation in horizontal. `maxChromosomes` plots the evolution of the maximum chromosomes in horizontal and the generation in vertical. `all` plots altogether.

`main,xlab, ylab,col,pch` | `World` defaults for common plot parameters. Their usage overwrite the default value. `col` controls the color for chromosomes
`...` | Other user named values to include in the object.

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Galgo`.

### Examples

      wo <- World(niches=newRandomCollection(Niche(chromosomes=
                         newRandomCollection(Chromosome(genes=
                         newCollection(Gene(shape1=1, shape2=100),5)),
                         10),2),2))
      ga <- Galgo(populations=newRandomCollection(wo,1), goalFitness = 0.75,
                  callBackFunc=plot,
                  fitnessFunc=function(chr, parent) 5/sd(as.numeric(chr)))
      evolve(ga)
      best(ga)
      bestFitness(ga)
      plot(ga)

      reInit(ga)
      generateRandom(ga)
      evolve(ga)
      best(ga)
      bestFitness(ga)
      plot(ga)

[Package galgo version 1.4 Index]